Bug 35721 - Fix apache2 startsite timing issue in EC2 appliance mode
Fix apache2 startsite timing issue in EC2 appliance mode
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: System setup
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-3-errata
Assigned To: Erik Damrose
Janek Walkenhorst
:
Depends on:
Blocks: 35726 37147
  Show dependency treegraph
 
Reported: 2014-08-27 12:53 CEST by Erik Damrose
Modified: 2014-12-02 13:42 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Move the configuration of UCRV apache2/startsite to an earlier initscript (1.32 KB, patch)
2014-08-27 12:53 CEST, Erik Damrose
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2014-08-27 12:53:28 CEST
Created attachment 6074 [details]
Move the configuration of UCRV apache2/startsite to an earlier initscript

Errata 160 introduced a "first steps" site, which is shown on unjoined ec2 instances when accessing http://<ucs>/

There is a timing issue with the original solution. A time window exists when apache is running with the startsite set to the old UMC login.

Solution: Move the configuration of UCRV apache2/startsite to an earlier initscript, before apache2 is started: univention-system-setup-boot-prepare

Patch attached

After this has been fixed, update http://wiki.univention.de/index.php?title=UCS_Appliance#Preparing_Amazon_EC2_Images and remove the workaround.

+++ This bug was initially created as a clone of Bug #34388 +++
Comment 1 Erik Damrose univentionstaff 2014-08-28 17:39:05 CEST
Patch applied. The startsite is now configured at an earlier stage in the boot process.

r53138 univention-system-setup 7.0.69-53
r53140 2014-08-28-univention-system-setup.yaml
r53141 Merge to UCS4 (v8.0.32-2)
Comment 2 Janek Walkenhorst univentionstaff 2014-09-10 11:59:17 CEST
Code review: OK
Merge: OK
Race condition gone: OK
Advisory: OK
Comment 3 Janek Walkenhorst univentionstaff 2014-09-10 17:46:00 CEST
http://errata.univention.de/ucs/3.2/204.html